Heatmaps

GET https://trk.condoo.systems/api/heatmaps/
curl --request GET \
--url 'https://trk.condoo.systems/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
website_id Optional (Optional) Ganzzahl
user_id Optional (Optional) Ganzzahl
is_enabled Optional (Optional) Ganzzahl Erlaubte Werte: 0, 1
search Optional (Optional) Zeichenkette Die Suchanfrage.
search_by Optional (Optional) Zeichenkette Nach welchem Feld suchst du? Erlaubte Werte sind: name, path.
datetime_field Optional (Optional) Zeichenkette Erlaubte Werte: datetime, last_datetime
datetime_start Optional (Optional) Zeichenkette Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional (Optional) Zeichenkette Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional (Optional) Zeichenkette Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime.
order_type Optional (Optional) Zeichenkette Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge.
page Optional (Optional) Ganzzahl Die Seitenzahl, von der du die Ergebnisse möchtest. Standardmäßig ist sie 1.
results_per_page Optional (Optional) Ganzzahl Wie viele Ergebnisse möchtest du pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist es 25.
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "snapshot_id_desktop": 1,
            "desktop_size": 123456,
            "snapshot_id_tablet": null,
            "tablet_size": 0,
            "snapshot_id_mobile": null,
            "mobile_size": 0,
            "name": "Example",
            "path": "/",
            "is_enabled": true,
            "datetime": "2026-11-05 13:39:29",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://trk.condoo.systems/api/heatmaps?page=1",
        "last": "https://trk.condoo.systems/api/heatmaps?page=1",
        "next": null,
        "prev": null,
        "self": "https://trk.condoo.systems/api/heatmaps?page=1"
    }
}
GET https://trk.condoo.systems/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://trk.condoo.systems/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": 1,
        "desktop_size": 123456,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-11-05 13:39:29",
        "last_datetime": null
    }
}
GET https://trk.condoo.systems/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://trk.condoo.systems/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
snapshot_type Optional (Optional) Zeichenkette Erlaubte Werte: desktop, tablet, mobile
type Optional (Optional) Zeichenkette Erlaubte Werte: clicks, scrolls
start_date Optional (Optional) Zeichenkette Startdatum im Y-m-d Format.
end_date Optional (Optional) Zeichenkette Enddatum im Format Y-m-d.
{
    "data": {
        "id": 1,
        "website_id": 1,
        "snapshot_id": 1,
        "snapshot_type": "desktop",
        "type": "clicks",
        "start_date": "2026-01-01",
        "end_date": "2026-01-31",
        "heatmap_data": [
            [25.25, 60.5, 1]
        ],
        "heatmap_data_count": 1
    }
}
POST https://trk.condoo.systems/api/heatmaps
Parameter Details Beschreibung
website_id Erforderlich Ganzzahl
name Erforderlich Zeichenkette
path Optional (Optional) Zeichenkette
is_enabled Optional (Optional) Ganzzahl Erlaubte Werte: 0, 1
curl --request POST \
--url 'https://trk.condoo.systems/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": null,
        "desktop_size": 0,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-11-05 13:39:29",
        "last_datetime": null
    }
}
POST https://trk.condoo.systems/api/heatmaps/{heatmap_id}
Parameter Details Beschreibung
name Optional (Optional) Zeichenkette
is_enabled Optional (Optional) Ganzzahl Erlaubte Werte: 0, 1
curl --request POST \
--url 'https://trk.condoo.systems/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": 1,
        "desktop_size": 123456,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-11-05 13:39:29",
        "last_datetime": "2026-11-05 13:39:29"
    }
}
DELETE https://trk.condoo.systems/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://trk.condoo.systems/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \